Subject: RE: [Isis-wg] draft-ietf-isis-wg-mib-05.txt

From: Jeff Parker <[email-masked]>
Date: Mon, 19 Nov 2001 18:24:34 -0500

> RowSatus has no value named "off".
> Do you mean "destroy" or do you mean "notInService" or do you 
> mean both?
> I suspect that both should return inconsistentValue.  
> You really need to make sure you explain the exact expected 
> behaviour for a varbind as complex as RowStatus.
> 	Ken

> > RowStatus is something I didn't create.  See Dave Perkins book for
> > a discussion of this.  Briefly it is used to disambiguate creation
> > and deletion.  

Clearly RowStatus is something I didn't create -or- understand.  

I think you are right: an attempt to take an active entry 
to destroy or notInService should generate inconsistentValue.

     isisManAreaAddrExistState OBJECT-TYPE
         SYNTAX RowStatus
         MAX-ACCESS read-create
         STATUS current
         DESCRIPTION
             "The state of the isisManAreaAddrEntry. This object
             follows the Row Status behavior. If the isisSysAdminState
             for this instance is 'on', and an attempt is made to set
             this object to the value 'destroy' or 'notInService' when
             this is the only isisManAreaAddrEntry for this instance
             in state 'active', then the set should return
inconsistentValue."

         DEFVAL { active }
     ::= { isisManAreaAddrEntry 2 }

- jeff parker
- axiowave networks
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg